#ifndef SHARED_TYPES_H
#define SHARED_TYPES_H

#if defined(PLATFORM_LINUX) || defined(PLATFORM_BEOS)
#define NO_TYPEDEF_ULONG
#define NO_TYPEDEF_USHORT
#endif

#ifndef NO_TYPEDEF_ULONG
typedef unsigned long ulong;
#endif

#ifndef NO_TYPEDEF_USHORT
typedef unsigned short ushort;
#endif

#ifndef NO_TYPEDEF_UCHAR
typedef unsigned char uchar;
#endif


#if !defined(PLATFORM_BEOS)

#ifndef NO_TYPEDEF_BOOL
typedef int bool;
#endif

#define FALSE 0
#define TRUE 1

#else

typedef unsigned char  bool;
#define false   0
#define true    1                      
#define FALSE 0
#define TRUE 1

#endif

#endif
